<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zzsmart.qomo.kn.cost.manage.mapper.CostMaterialBomMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.zzsmart.qomo.kn.cost.manage.entity.CostMaterialBom">
        <id column="id" property="id" />
        <result column="material_code" property="materialCode" />
        <result column="material_name" property="materialName" />
        <result column="parent_material_code" property="parentMaterialCode" />
        <result column="level" property="level" />
        <result column="sort" property="sort" />
        <result column="unit" property="unit" />
        <result column="number" property="number" />
        <result column="labor_hours" property="laborHours" />
        <result column="device_hours" property="deviceHours" />
        <result column="borrow_material_code" property="borrowMaterialCode" />
        <result column="refer_material_code" property="referMaterialCode" />
        <result column="purchase_type" property="purchaseType" />
        <result column="special_purchase_type" property="specialPurchaseType" />
        <result column="explanation" property="explanation" />
        <result column="quantity" property="quantity" />
        <result column="weight" property="weight" />
        <result column="material_and_brand" property="materialAndBrand" />
        <result column="surface_material" property="surfaceMaterial" />
        <result column="surface_thickness" property="surfaceThickness" />
        <result column="surface_area" property="surfaceArea" />
        <result column="length" property="length" />
        <result column="width" property="width" />
        <result column="height" property="height" />
        <result column="figure_file_id" property="figureFileId" />
        <result column="new_tooling" property="newTooling" />
        <result column="shaping_method" property="shapingMethod" />
        <result column="work_content" property="workContent" />
        <result column="process_location" property="processLocation" />
        <result column="cost_center" property="costCenter" />
        <result column="unit_price" property="unitPrice" />
        <result column="total_price" property="totalPrice" />
        <result column="mould_price" property="mouldPrice" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, material_code, material_name, parent_material_code, level, sort, unit, number, labor_hours, device_hours, borrow_material_code, refer_material_code, purchase_type, special_purchase_type, explanation, quantity, weight, material_and_brand, surface_material, surface_thickness, surface_area, length, width, height, figure_file_id, new_tooling, shaping_method, work_content, process_location, cost_center, unit_price, total_price, mould_price, create_by, create_time, update_by, update_time, remark
    </sql>

</mapper>
